# do not build debug packages for now
%global debug_package %{nil}

%global version 2.1.0
%global revision 27.3.0

Name:		multi-cloud-object-gateway-cli
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	"Multi cloud gateway CLI"

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-31.b89a6f1.2.1.tar.gz
Patch0:         hide_cli_command.patch
Patch1:		set_downstream_images.patch

BuildArch:	x86_64
ExclusiveArch:	x86_64

BuildRequires:	rsync
BuildRequires:	go-toolset-1.12-golang

%description
"Multi cloud gateway CLI"

%prep
%setup -c
%patch0 -p1
%patch1 -p1

%build
PATH=$PATH:/opt/rh/go-toolset-1.12/root/usr/bin/
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa

%doc doc/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 16 2020 Liran Mauda <lmauda@redhat.com> - 2.1.0-27.3.0
- Updating to v2.1.0
- Resolves: rhbz#1818550
* Tue Feb 18 2020 Liran Mauda <lmauda@redhat.com> - 2.0.10-26.1.0
- Updating to v2.0.10
- Resolves: rhbz#1802464
* Sun Nov 17 2019 Liran Mauda <lmauda@redhat.com> - 2.0.7-24.2.0
- Changing the name version name (removing the v and the hash)
- Resolves: rhbz#1746457
* Thu Nov 14 2019 Liran Mauda <lmauda@redhat.com> - v2.0.7-23.ebea58a.2.0
- Rebase to mcg-operator-v2.0.7-23.ebea58a.2.0
- Resolves: rhbz#1746457
